105b:e065 Bluetooth Will not work

Bug #1509803 reported by Mitch Dabbas on 2015-10-25
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have an issue with my Bluetooth, in a Lenovo 50-70. It will not turn on, and if I try to turn it on, it gives the message that no adapters found. I tried converting the .hex windows driver t .hcd, but that didn't help.

dmesg | grep -i blue
[ 36.077001] Bluetooth: Core ver 2.20
[ 36.077016] Bluetooth: HCI device and connection manager initialized
[ 36.077018] Bluetooth: HCI socket layer initialized
[ 36.077020] Bluetooth: L2CAP socket layer initialized
[ 36.077024] Bluetooth: SCO socket layer initialized
[ 36.165964] Bluetooth: RFCOMM TTY layer initialized
[ 36.165973] Bluetooth: RFCOMM socket layer initialized
[ 36.165978] Bluetooth: RFCOMM ver 1.11
[ 36.192237] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 36.192239] Bluetooth: BNEP filters: protocol multicast
[ 36.192242] Bluetooth: BNEP socket layer initialized
ls -l /lib/firmware/brcm
total 7716
-rw-rw-r-- 1 root root 28263 Oct 23 22:38 BCM43142A0-105b:e065.hcd
-rw-r--r-- 1 root root 269595 Nov 24 2014 bcm4329-fullmac-4.bin
-rw-r--r-- 1 root root 96224 Dec 1 2014 bcm43xx-0.fw
-rw-r--r-- 1 root root 180 Dec 1 2014 bcm43xx_hdr-0.fw
-rw-r--r-- 1 root root 397312 Dec 1 2014 brcmfmac43143.bin
-rwxr-xr-x 1 root root 385067 Sep 24 16:20 brcmfmac43143-sdio.bin
-rw-r--r-- 1 root root 348160 Nov 24 2014 brcmfmac43236b.bin
-rw-r--r-- 1 root root 455745 Dec 1 2014 brcmfmac43241b0-sdio.bin
-rw-r--r-- 1 root root 403855 Dec 1 2014 brcmfmac43241b4-sdio.bin
-rw-r--r-- 1 root root 479232 Sep 24 16:20 brcmfmac43242a.bin
-rw-r--r-- 1 root root 253748 Dec 1 2014 brcmfmac4329-sdio.bin
-rw-r--r-- 1 root root 222126 Dec 1 2014 brcmfmac4330-sdio.bin
-rw-r--r-- 1 root root 451566 Dec 1 2014 brcmfmac4334-sdio.bin
-rw-r--r-- 1 root root 569291 Dec 1 2014 brcmfmac4335-sdio.bin
-rw-r--r-- 1 root root 219557 Dec 1 2014 brcmfmac43362-sdio.bin
-rw-r--r-- 1 root root 493599 Sep 24 16:20 brcmfmac4339-sdio.bin
-rw-r--r-- 1 root root 507752 Sep 24 16:13 brcmfmac4354-sdio.bin
-rw-r--r-- 1 root root 557056 Sep 24 16:20 brcmfmac43569.bin
-rw-r--r-- 1 root root 550333 Sep 24 16:20 brcmfmac43570-pcie.bin
-rw-r--r-- 1 root root 588940 Sep 24 16:20 brcmfmac43602-pcie.ap.bin
-rw-r--r-- 1 root root 590544 Sep 24 16:20 brcmfmac43602-pcie.bin

After loading the .hcd file I get this
dmesg | grep -i blue
[ 24.144917] Bluetooth: Core ver 2.20
[ 24.144932] Bluetooth: HCI device and connection manager initialized
[ 24.144935] Bluetooth: HCI socket layer initialized
[ 24.144937] Bluetooth: L2CAP socket layer initialized
[ 24.144941] Bluetooth: SCO socket layer initialized
[ 24.191155] Bluetooth: RFCOMM TTY layer initialized
[ 24.191162] Bluetooth: RFCOMM socket layer initialized
[ 24.191167] Bluetooth: RFCOMM ver 1.11
[ 24.215839] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 24.215842] Bluetooth: BNEP filters: protocol multicast
[ 24.215845] Bluetooth: BNEP socket layer initialized

---
ApportVersion: 2.14.1-0ubuntu3.19
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: abed 3459 F.... pulseaudio
 /dev/snd/controlC0: abed 3459 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=61a0774e-5cb7-418d-834d-be489ebf2b31
InstallationDate: Installed on 2015-09-23 (94 days ago)
InstallationMedia: Xubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150922)
MachineType: LENOVO 20351
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB:
 0 inteldrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-42-generic.efi.signed root=UUID=675e0048-fa06-403a-af82-2db4889fe437 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.19.0-42.48~14.04.1-generic 3.19.8-ckt10
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-42-generic N/A
 linux-backports-modules-3.19.0-42-generic N/A
 linux-firmware 1.127.19
Tags: trusty
Uname: Linux 3.19.0-42-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 07/20/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: 9ACN32WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Lancer 5A2
dmi.board.vendor: LENOVO
dmi.board.version: NANANANANO DPK
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo G50-70
dmi.modalias: dmi:bvnLENOVO:bvr9ACN32WW:bd07/20/2015:svnLENOVO:pn20351:pvrLenovoG50-70:rvnLENOVO:rnLancer5A2:rvrNANANANANODPK:cvnLENOVO:ct10:cvrLenovoG50-70:
dmi.product.name: 20351
dmi.product.version: Lenovo G50-70
dmi.sys.vendor: LENOVO

Pilot6 (hanipouspilot) wrote :

This adapter is not supported by the kernel yet.

The support has been added to bluetooth-next tree 5 days ago.

http://git.kernel.org/cgit/linux/kernel/git/bluetooth/bluetooth-next.git/commit/drivers/bluetooth/btusb.c?id=2faf71ce90782d02e1710c12a19a2084fbbec5cc

I will build a dkms module shortly.

Pilot6 (hanipouspilot) wrote :

This package should fix the issue.

https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1509803-dkms_0.1~14.04.3_all.deb

You will need to install firmware too. This can be done this way.

http://askubuntu.com/a/632348/167850

Mitch Dabbas (adabbas) wrote :

Tried the above, and that didn't change anything. Bluetooth still doesn't work. If I force it on, I still get no adapters found, when trying to add any bluetooth device.

Pilot6 (hanipouspilot) wrote :

Give output of

dmesg | grep -i blue

Mitch Dabbas (adabbas) wrote :

dmesg | grep -i blue
[ 26.212032] Bluetooth: Core ver 2.20
[ 26.212047] Bluetooth: HCI device and connection manager initialized
[ 26.212050] Bluetooth: HCI socket layer initialized
[ 26.212052] Bluetooth: L2CAP socket layer initialized
[ 26.212056] Bluetooth: SCO socket layer initialized
[ 26.489295] Bluetooth: RFCOMM TTY layer initialized
[ 26.489302] Bluetooth: RFCOMM socket layer initialized
[ 26.489306] Bluetooth: RFCOMM ver 1.11
[ 26.526618] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 26.526622] Bluetooth: BNEP filters: protocol multicast
[ 26.526626] Bluetooth: BNEP socket layer initialized

Mitch Dabbas (adabbas) wrote :

While installing the patch, I t this:

btusb:
Running module version sanity check.
Error! Module version 0.6 for btusb.ko
is not newer than what is already found in kernel 3.19.0-32-generic (0.6).
You may override by specifying --force.

Pilot6 (hanipouspilot) wrote :

Oh, I forgot about the sanity check in the updated dkms.

I fixed it in

https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1509803-dkms_0.2~14.04.3_all.deb

It should appear in ~minutes.

Mitch Dabbas (adabbas) wrote :

It didn't work. It works for a while, but it won't detect any bluetooth device, such as a mouse, and the system gets hung while restarting, and the only way it to hard power it. Once the system power up again, Bluetooth is disabled again.

Once everything is reversed, the system acts the way it should.

Jeremy (wa113y3s) wrote :

Your firmware file isn't named correctly

sudo mv /lib/firmware/brcm/BCM43142A0-105b:e065.hcd /lib/firmware/brcm/BCM43142A0-105b-e065.hcd

Then try Pilot6's fix

Mitch Dabbas (adabbas) wrote :

It has been named correctly, and still doesn't work. I even connected a drive that has windows on it, and it shows that the driver in use is: BCM43142A0_001.001.011.0244.0245.hex. Also tried that, and nothing worked. Thanks

Mitch Dabbas (adabbas) wrote :

 Bluetooth still doesn't work. If I force it on, I still get no adapters found, when trying to add any bluetooth device.

Jeremy (wa113y3s) wrote :

Try this firmware file, it was confirmed to work
wget http://www.gnebehay.com/blog/lenovo-flexpad-bluetooth-debian/BCM43142A0-105b-e065.hcd
sudo cp BCM43142A0-105b-e065.hcd /lib/firmware/brcm/
sudo modprobe -r btusb
sudo modprobe btusb

Jeremy (wa113y3s) wrote :

You could try my dkms file to see if it works

wget https://www.dropbox.com/s/6yau4ieg6iv47xo/btusb-dkms_3.0_all.deb
dpkg -i btusb-dkms_3.0_all.deb

Reboot

Mitch Dabbas (adabbas) wrote :

OK. I downloaded the firmware, and did

sudo cp BCM43142A0-105b-e065.hcd /lib/firmware/brcm/
sudo modprobe -r btusb
sudo modprobe btusb

That didn't work.

So I downloaded and applied the dkms file, and that turned bluetooth on, but it won't detect or see any device. My mouse, phone, headset were not detected at all.

Download full text (5.9 KiB)

Try to convert the firmware file from Windows.

2015-10-28 9:39 GMT+03:00 Mitch Dabbas <email address hidden>:
> OK. I downloaded the firmware, and did
>
> sudo cp BCM43142A0-105b-e065.hcd /lib/firmware/brcm/
> sudo modprobe -r btusb
> sudo modprobe btusb
>
>
> That didn't work.
>
> So I downloaded and applied the dkms file, and that turned bluetooth on,
> but it won't detect or see any device. My mouse, phone, headset were
> not detected at all.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1509803
>
> Title:
> Bluetooth Will not work
>
> Status in linux-lts-vivid package in Ubuntu:
> New
>
> Bug description:
> I have an issue with my Bluetooth, in a Lenovo 50-70. It will not
> turn on, and if I try to turn it on, it gives the messsage that no
> adapters found. I tied converting the .hex windows driver t .hcd, but
> that didn't help. Below is my info:
>
> 02:00.0 Network controller [0280]: Broadcom Corporation BCM43142 802.11b/g/n [14e4:4365] (rev 01)
> Subsystem: Lenovo Device [17aa:0621]
> Kernel driver in use: wl
> Bus 003 Device 002: ID 8087:8000 Intel Corp.
> Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Bus 001 Device 005: ID 105b:e065
> Bus 001 Device 004: ID 5986:055d Acer, Inc
> Bus 001 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
> Bus 001 Device 002: ID 15d9:0a4c Trust International B.V. USB+PS/2 Optical Mouse
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
>
>
> dmesg | grep -i blue
> [ 36.077001] Bluetooth: Core ver 2.20
> [ 36.077016] Bluetooth: HCI device and connection manager initialized
> [ 36.077018] Bluetooth: HCI socket layer initialized
> [ 36.077020] Bluetooth: L2CAP socket layer initialized
> [ 36.077024] Bluetooth: SCO socket layer initialized
> [ 36.165964] Bluetooth: RFCOMM TTY layer initialized
> [ 36.165973] Bluetooth: RFCOMM socket layer initialized
> [ 36.165978] Bluetooth: RFCOMM ver 1.11
> [ 36.192237] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
> [ 36.192239] Bluetooth: BNEP filters: protocol multicast
> [ 36.192242] Bluetooth: BNEP socket layer initialized
> ls -l /lib/firmware/brcm
> total 7716
> -rw-rw-r-- 1 root root 28263 Oct 23 22:38 BCM43142A0-105b:e065.hcd
> -rw-r--r-- 1 root root 269595 Nov 24 2014 bcm4329-fullmac-4.bin
> -rw-r--r-- 1 root root 96224 Dec 1 2014 bcm43xx-0.fw
> -rw-r--r-- 1 root root 180 Dec 1 2014 bcm43xx_hdr-0.fw
> -rw-r--r-- 1 root root 397312 Dec 1 2014 brcmfmac43143.bin
> -rwxr-xr-x 1 root root 385067 Sep 24 16:20 brcmfmac43143-sdio.bin
> -rw-r--r-- 1 root root 348160 Nov 24 2014 brcmfmac43236b.bin
> -rw-r--r-- 1 root root 455745 Dec 1 2014 brcmfmac43241b0-sdio.bin
> -rw-r--r-- 1 root root 403855 Dec 1 2014 brcmfmac43241b4-sdio.bin
> -rw-r--r-- 1 root root 479232 Sep 24 16:20 brcmfmac43242a.bin
> -rw-r--r-- 1 root root 253748 Dec 1 2014 brcmfmac4329-sdio.bin
> -rw-r--r-- 1 root root 222126 Dec 1 2014 brcmfmac4330-sdio.bin
> -rw-r--r-- 1 root root 451566 Dec 1 2014 brcmfmac43...

Read more...

I have already tried that, and it didn't help.

Jeremy (wa113y3s) wrote :

Power off the laptop and do a cold boot

Mitch Dabbas (adabbas) wrote :

I've tried all that, same results :(

Jeremy (wa113y3s) wrote :

What does

dmesg | egrep -i 'blue|firm'

show?

Pilot6 (hanipouspilot) wrote :

I remember that these IDs have been removed from kernels because it appeared to be two devices with the same IDs.

For some of the devices adding PATCHRAM caused regressions for the whole system, like hangs or lags.

I can't find that commit yet. If someone finds it, please tell me or Marcel Holtmann.

This patch appeared again in bluetooth-next.

Pilot6 (hanipouspilot) wrote :

That's weird. It does not try to load the firmware at all. Are you sure the module is installed correctly?

Please give output of

dkms status

Mitch Dabbas (adabbas) wrote :

Pilot. I apologize, the above output is from another system, Here is the correct output:

dmesg | egrep -i 'blue|firm'
[ 0.164145] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
[ 8.485858] [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
[ 31.313894] Bluetooth: Core ver 2.20
[ 31.313911] Bluetooth: HCI device and connection manager initialized
[ 31.313915] Bluetooth: HCI socket layer initialized
[ 31.313917] Bluetooth: L2CAP socket layer initialized
[ 31.313923] Bluetooth: SCO socket layer initialized
[ 31.608607] Bluetooth: hci0: BCM: patching hci_ver=06 hci_rev=0000 lmp_ver=06 lmp_subver=210b
[ 32.063924] Bluetooth: hci0: BCM: firmware hci_ver=06 hci_rev=00f5 lmp_ver=06 lmp_subver=210b
[ 33.026472] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 33.026474] Bluetooth: BNEP filters: protocol multicast
[ 33.026478] Bluetooth: BNEP socket layer initialized
[ 33.026675] Bluetooth: RFCOMM TTY layer initialized
[ 33.026681] Bluetooth: RFCOMM socket layer initialized
[ 33.026685] Bluetooth: RFCOMM ver 1.11

dkms status
bcmwl, 6.30.223.248+bdcom, 3.19.0-30-generic, x86_64: installed
bcmwl, 6.30.223.248+bdcom, 3.19.0-31-generic, x86_64: installed
bcmwl, 6.30.223.248+bdcom, 3.19.0-32-generic, x86_64: installed
btusb, 3.0, 3.19.0-32-generic, x86_64: installed

Jeremy (wa113y3s) wrote :

That looks good. What does

rfkill list all; hciconfig -a

show

Mitch Dabbas (adabbas) wrote :

rfkill list all; hciconfig -a
0: ideapad_wlan: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: ideapad_bluetooth: Bluetooth
 Soft blocked: no
 Hard blocked: no
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
3: brcmwl-0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
4: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
hci0: Type: BR/EDR Bus: USB
 BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
 DOWN
 RX bytes:6 acl:0 sco:0 events:1 errors:0
 TX bytes:6 acl:0 sco:0 commands:2 errors:0

Jeremy (wa113y3s) wrote :

Try

sudo hciconfig hci0 up

report any errors.

Mitch Dabbas (adabbas) wrote :

It reports nothing. It gives back the prompt.

Jeremy (wa113y3s) wrote :

Did it change the result of

hciconfig -a

Mitch Dabbas (adabbas) wrote :

sudo hciconfig -a
hci0: Type: BR/EDR Bus: USB
 BD Address: AC:D1:B8:E7:3C:BC ACL MTU: 1021:8 SCO MTU: 64:1
 UP RUNNING
 RX bytes:1781 acl:0 sco:0 events:184 errors:0
 TX bytes:29266 acl:0 sco:0 commands:183 errors:0
 Features: 0xff 0xfe 0xcf 0xfe 0xdb 0xff 0x7b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF
 Link mode: SLAVE ACCEPT
 Name: 'Broadcom Bluetooth Device (43142)'
 Class: 0x000000
 Service Classes: Unspecified
 Device Class: Miscellaneous,
 HCI Version: 4.0 (0x6) Revision: 0xf5
 LMP Version: 4.0 (0x6) Subversion: 0x210b
 Manufacturer: Broadcom Corporation (15)

Jeremy (wa113y3s) wrote :

It shows it is up now. Put something in pairing mode and see if bluetooth can find it now

Mitch Dabbas (adabbas) wrote :

That's the problem, sometimes it let me search for devices, but it won't find anything, or it finds, but won't pair, or anything else. And most of the time, when I click on add device, I get the message, No adapters found.

Jeremy (wa113y3s) wrote :

sudo hciconfig hci0 piscan

Then see if it finds a device in pairing mode with

hcitool scan

Mitch Dabbas (adabbas) wrote :

sudo hciconfig hci0 piscan
Can't set scan mode on hci0: Network is down (100)

hcitool scan
Device is not available: No such device

Now here is the deal. Sometimes the mouse connects, and it works for a few hours, and then quits, and won't connect again.

Jeremy (wa113y3s) wrote :

Power down the laptop, remove the wifi card and check the connector for dirt or debris. Reinstall wifi card and boot

If that doesn't help, you might need a new card as this appears to be a hardware issue

Mitch Dabbas (adabbas) wrote :

I've already done all the hardware related troubleshooting. Plus the fact that its a brand new laptop, and as stated before, I plugged a windows drive, to get the correct driver,and bluetooth works just fine.

Jeremy (wa113y3s) wrote :

Can you use the grub menu to boot into an older 3.19 kernel and see if it works, I have been having a few issues with the latest 3.19 kernel and haven't had the time to figure out what is causing the issue

Mitch Dabbas (adabbas) wrote :

Already tried that, same results :(

Jeremy (wa113y3s) wrote :

Can you install a 3.13 kernel? That chip was supported yet in 3.13 but the file needs to be /lib/firmware/fw-105b_e065.hcd

Mitch Dabbas, please execute the following command only once, as it will automatically gather debugging information, in a terminal:
apport-collect 1509803

affects: linux-lts-vivid (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated
description: updated
description: updated
tags: added: latest-bios-9acn32ww
summary: - Bluetooth Will not work
+ 105b:e065 Bluetooth Will not work
tags: added: cherry-pick
Changed in linux (Ubuntu):
importance: Low → Medium
status: Incomplete → Triaged
Vincent Gerris (vgerris) wrote :

In 16.04 you can see a hint in dmesg. The file needs to be in cd /lib/firmware/brcm and named BCM.hcd .
The file can be found here:
https://github.com/gnebehay/gnebehay.com/blob/master/contents/blog/lenovo-flexpad-bluetooth-debian/BCM43142A0-105b-e065.hcd

If you run sudo modprobe -r btusb && sudo modprobe btusb
it should load. There are some issues with the profile too.

Since there are some existing files in /lib/firmware/brcm there, there must have been a mechanism to fix it that was started by someone.
for now the above is a workaround, it would be great if this gets structurally fixed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers